org.codehaus.groovy.runtime

## Class RangeInfo

- java.lang.Object
- - org.codehaus.groovy.runtime.RangeInfo

    public class RangeInfo
    extends java.lang.Object

### Field Summary

Fields
`int` `from`
`boolean` `reverse`
`int` `to`

### Constructor Summary

Constructors
Constructor and Description
`RangeInfo(int from, int to, boolean reverse)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### from

    public final int from

#### to

    public final int to

#### reverse

    public final boolean reverse

### Constructor Detail

#### RangeInfo

    public RangeInfo(int from,
                     int to,
                     boolean reverse)